export default {
  sessionInitialization: {
    OIDC_AUTH: 'Lade Nutzer:innendaten',
    STEERING_INITIALIZATION: 'Initialisiere Inhaltsverwaltung',
    TANK_INITIALIZATION: 'Initialisiere Dateiverwaltung',
  },

  loginScreen: {
    intro:
      'AURA ist Radioautomationssuite die speziell auf die Bedürfnisse von Freien Radios zugeschnitten ist. AURA wurde in der Gemeinschaft mehrerer österreichischer Community-Radios entwickelt und ist quelloffen.',
  },

  showManager: {
    title: 'Sendereihen',
    generalSettings: 'Allgemeine Einstellungen der Sendereihe',
  },

  myShows: {
    title: 'Meine Sendereihen',
    itemsPerPage: 'Sendereihen pro Seite',
    searchLabel: 'Suche nach Namen',
    searchPlaceholder: 'Name der Sendereihe...',
    showCount: 'Zeige %{count} von %{total} Sendereihen.',
    showOrder: 'Sortierung der Sendereihen',
    sortShows: 'Sendereihen sortieren',
  },

  showListGrid: {
    otherShows: 'Weitere Sendereihen',
  },

  profile: {
    singular: 'Profil',
    plural: 'Profile',
    fields: {
      name: 'Name',
      email: 'Email',
      biography: 'Biographie',
      image: 'Bild',
      links: 'Links',
      isActive: 'Aktiv',
      ownerIds: 'Zugewiesene Nutzer:innenkonten',
    },
    labels: {
      hasAccount: 'Hat Konto',
    },
    editor: {
      deletion: {
        label: 'Profil löschen',
        description:
          'Entfernt das Profil und alle bestehenden Verknüpfungen zu Sendereihen und Episoden.',
        confirm: {
          text: 'Das Profil wird <strong>unwiederbringlich gelöscht</strong>. Eine spätere Wiederherstellung ist nicht möglich. Bestehende Verknüpfungen zu Sendereihen und Episoden werden ebenfalls entfernt. Bist du sicher, dass du das Profil <strong>%{profile}</strong> löschen willst?',
          confirmLabel: 'Lösche <strong>%{profile}</strong>',
        },
      },
    },
  },

  show: {
    singular: 'Sendereihe',
    plural: 'Sendereihen',
    fields: {
      categoryIds: 'Kategorien',
      cbaSeriesId: 'CBA ID',
      description: 'Beschreibung',
      email: 'E-Mail',
      fundingCategoryId: 'Förderkategorie (z.B. für RTR)',
      hostIds: 'Redaktion',
      id: 'ID',
      imageId: 'Bild',
      internalNote: 'Interne Notiz',
      isActive: 'Aktiv',
      isOwner: 'Verwaltet von mir',
      languageIds: 'Sprachen',
      links: 'Links',
      logoId: 'Logo',
      musicFocusIds: 'Musikgenres',
      name: 'Titel',
      ownerIds: 'Administrator:innen',
      predecessorId: 'Vorgänger',
      shortDescription: 'Untertitel / Kurzbeschreibung',
      slug: 'Kürzel',
      topicIds: 'Themen',
      typeId: 'Art der Sendereihe',
      updatedAt: 'Letzte Aktualisierung',
      updatedBy: 'Aktualisiert von',
    },
    slugDetail: {
      title: 'URL-Kürzel',
      editRemark:
        'Das URL-Kürzel kann in der <a href="#%{dangerZoneId}">%{dangerZone}</a> bearbeitet werden.',
    },
    housekeeping: {
      title: 'Gefahrenzone',
      flows: {
        archival: 'Archivierung',
        deletion: 'Löschung',
        slugRenaming: 'Umbenennung des URL-Kürzel',
      },
    },
    section: {
      basic: { title: 'Allgemeine Angaben' },
      content: { title: 'Inhaltliche Angaben' },
      contact: { title: 'Redaktion & Kontakt' },
      administrative: { title: 'Verwaltung' },
      media: { title: 'Standardmedienquellen' },
    },
    editor: {
      deactivation: {
        label: 'Sendereihe deaktivieren',
        description:
          'Archiviert die Sendereihe und entfernt alle für die Zukunft geplanten Sendungen.',
        confirm: {
          text:
            'Alle für die Zukunft geplanten <strong>Sendungen</strong> und zugeordnete Informationen <strong>werden entfernt</strong>. ' +
            'Bist du sicher, dass du <strong>%{show}</strong> deaktivieren willst?',
          prompt: 'Bitte gib <code>%{challenge}</code> als Bestätigung ein.',
          confirmLabel: 'Deaktiviere <strong>%{show}</strong>',
        },
      },
      activation: {
        label: 'Sendereihe aktivieren',
        description: 'Dearchiviert die Sendereihe. Sendepläne müssen neu angelegt werden.',
      },
      deletion: {
        label: 'Sendereihe löschen',
        description:
          'Entfernt die Sendereihe und alle zu ihr hinterlegten Daten inkl. Ausstrahlungsschema und Sendungen.',
        confirm: {
          text: 'Alle Informationen zu dieser Sendereihe werden <strong>unwiederbringlich gelöscht</strong>. Eine spätere Wiederherstellung ist nicht möglich. Bist du sicher, dass du <strong>%{show}</strong> löschen willst?',
          prompt: 'Bitte gib <code>%{challenge}</code> als Bestätigung ein.',
          confirmLabel: 'Lösche <strong>%{show}</strong>',
        },
      },
      slugRenaming: {
        dialogTitle: 'Umbenennung des URL-Kürzels',
        label: 'Umbenennen',
        description:
          'Benennt das URL-Kürzel der Sendereihe um. Dieses Kürzel wird in Links auf Websites benutzt. Eine Änderung zerstört deswegen bestehende Verweise auf die Sendereihe und sollte gut abgewägt sein.',
        confirm: {
          text: 'Das URL-Kürzel wird umbenannt. Bestehende Links auf die Sendereihe werden anschließend wahrscheinlich ins Leere führen. Bist du sicher, dass du das URL-Kürzel für <strong>%{show}</strong> ändern willst?',
          prompt: 'Bitte gib <code>%{challenge}</code> als Bestätigung ein.',
          confirmLabel: 'Ändere URL-Kürzel für <strong>%{show}</strong>',
        },
      },
    },
  },

  showFilter: {
    order: {
      choices: {
        id: { name: 'ID', directions: { asc: '0 - 9', desc: '9 - 0' } },
        slug: { name: 'Name', directions: { asc: 'A - Z', desc: 'Z - A' } },
        is_active: { name: 'Aktiv', directions: { asc: 'Nein - Ja', desc: 'Ja - Nein' } },
        is_owner: {
          name: 'Verwaltet von mir',
          directions: { asc: 'Nein - Ja', desc: 'Ja - Nein' },
        },
        updated_at: {
          name: 'Letzte Aktualisierung',
          directions: { asc: 'Älteste zuerst', desc: 'Neueste zuerst' },
        },
        updated_by: { name: 'Aktualisiert von', directions: { asc: 'A - Z', desc: 'Z - A' } },
      },
    },
  },

  showEpisode: {
    title: 'Sendung am %{start}',
  },

  filePlaylistManager: {
    title: 'Medien',
    files: 'Dateien',
    playlists: 'Playlists',
  },

  credits: {
    title: 'Credits',
    intro: 'AURA wird unter der GNU Affero General Public License v3 entwickelt.',
    contributors: 'Beitragende',
    contributorLabel: 'Aktive und vergangene Entwickler sind:',
    moreInfo:
      'Mehr Informationen gibt es im <a href="https://gitlab.servus.at/aura/dashboard">Dashboard-Repository</a>.<br>Um eine Gesamtübersicht über AURA zu erhalten, besuche <a href="https://aura.radio">aura.radio</a>.<br>Alle AURA-Repositories können auf <a href="https://code.aura.radio">https://code.aura.radio</a> eingesehen werden.',
  },

  generalDocumentation: 'Hilfe & Dokumentation',

  // Layout
  loadMoreItems: 'Mehr %{items} laden',
  loadingData: 'Lade %{items}',
  loading: 'Lädt..',
  cancel: 'Abbrechen',
  yes: 'Ja',
  no: 'Nein',
  active: 'Aktiv',
  inactive: 'Inaktiv',
  help: 'Hilfe',
  delete: 'Löschen',
  add: 'Hinzufügen',
  save: 'Speichern',
  goBack: 'Zur vorherigen Seite zurückkehren',
  ok: 'OK',
  browse: 'Auswählen',
  drop: 'Datei hier ablegen',
  edit: 'Bearbeiten',
  slug: 'Slug',
  unimplemented: 'Potzblitz!\n\nDieses Feature ist noch nicht implementiert!',
  noneSetMasculine: '(keiner gesetzt)',
  noneSetFeminine: '(keine gesetzt)',
  noneSetNeuter: '(keines gesetzt)',
  noAssignedShows:
    'Dir sind noch keine Sendereihen zugewiesen.<br>Diese können im <a href="%{adminUrl}">Administrationsbereich</a> zugewiesen werden.',
  by: 'von',

  auth: {
    signOut: 'Abmelden',
    signIn: 'Anmelden',
    permissionError: 'Du bist nicht berechtigt diese Seite zu sehen',
  },

  construction: {
    label: 'Baustelle',
  },

  navigation: {
    _title: 'Navigation',
    home: 'Home',
    shows: 'Sendereihen',
    show: {
      episodes: 'Sendungen & Schema',
      basicData: 'Allgemeine Einstellungen',
    },
    episode: {
      _title: 'Sendung am %{start}',
      details: 'Beschreibung',
    },
    filesPlaylists: 'Medien',
    profiles: 'Profile',
    calendar: 'Kalender',
    settings: 'Einstellungen',
    profile: 'Profil',
    administration: 'Administration',
    help: 'Hilfe',
  },

  profileList: {
    title: 'Profile',
    searchLabel: 'Suche nach Namen',
    searchPlaceholder: 'Name des Profils...',
  },

  profileDetails: {
    assignedAccounts: 'Zugewiesene Konten',
    data: 'Daten',
  },

  footer: {
    tagline: 'Alles was Du für ein Freies Radio brauchst',
  },

  // Specific components
  header: {
    showMoreDesktop: 'Klicke den Menü-Knopf für mehr',
    showMoreMobile: 'Für mehr Optionen, klicke auf den Menü-Knopf rechts',
  },

  emissionTable: {
    title: 'Sendung',
    start: 'Sendetermin',
    duration: 'Dauer',
    playlist: 'Medienquellen',
    actions: 'Aktionen',
    missingPlaylistData:
      'Informationen zur Playlist stehen gerade nicht zur Verfügung. Wechsle zur Sendereihe dieser Ausstrahlung.',
  },

  input: {
    unknown: 'Unbekannter Eingang',
  },

  file: {
    url: 'URL',
    name: 'Dateiname',
    unnamed: 'Unbenannte Datei',
    duration: 'Dauer',
    durationUnknown: 'Unbekannte Dauer',
    durationPlaceholder: 'z.B. 2m6s',
    uploadProgress: 'Fortschritt des Dateiuploads',
    uploadError: 'Fehler beim Upload',
    retryUpload: 'Upload erneut versuchen',
    metadata: {
      _title: 'Metadaten',
      album: 'Album',
      artist: 'Künstler:in',
      title: 'Titel',
      fromAlbum: 'Vom Album <em>%{album}</em>.',
      byArtist: 'Von <em>%{artist}</em>.',
      byArtistFromAlbum: 'Von <em>%{artist}</em> aus dem Album <em>%{album}</em>.',
    },
    importLog: {
      title: 'Dateiimportprotokolle',
      showImportLog: 'Zeige Importprotokolle',
      start: '# %{title} beginnt am %{time}',
      type: { fetch: 'Datenabrufprotokoll', normalize: 'Normalisierungsprotokoll' },
    },
  },

  playlist: {
    duration: 'Dauer',
    editor: {
      title: 'Medienquellen',
      expertMode: 'Expert:innenmodus',
      isSaving: 'Medienquellen werden gespeichert',
      editPlaylistEntry: 'Medienquelle bearbeiten',
      deletePlaylistEntry: 'Medienquelle löschen',
      noEntries: 'Es wurden keine Medienquellen zugewiesen.',
      entriesAdd: {
        retry: 'Erneut versuchen',
        discard: 'Verwerfen',
        error: 'Einige Einträge konnten nicht hinzugefügt werden.',
      },
      upload: {
        pending: 'Laufende Uploads',
        step: {
          fetching: 'Importiere',
          normalizing: 'Normalisiere',
          unknown: 'Verarbeite',
        },
      },
      control: {
        _or: '- oder -',
        dropFiles: 'Ziehe Dateien auf diese Fläche',
        selectFiles: 'Lokale Datei auswählen',
        importFile: 'Datei von URL importieren',
        addStream: 'Stream hinzufügen',
        addInput: 'Eingang hinzufügen',
        addM3u: 'M3U hinzufügen',
      },
      importFileDialog: {
        title: 'Datei von URL importieren',
        saveLabel: 'Datei hinzufügen',
      },
      addInputDialog: {
        title: 'Eingang als Medienquelle hinzufügen',
        saveLabel: 'Eingang hinzufügen',
      },
      addStreamDialog: {
        title: 'Stream als Medienquelle hinzufügen',
        saveLabel: 'Stream hinzufügen',
      },
      addM3uDialog: {
        title: 'M3U als Medienquelle hinzufügen',
        saveLabel: 'M3U hinzufügen',
      },
    },
    state: {
      ok: { title: 'Perfekt' },
      missing: { title: 'Fehlt' },
      indeterminate: {
        title: 'Unbekannte Länge',
        description: `Mindestens eine hinterlegte Quelle hat keine definierte Länge.
          Es kann daher nicht geprüft werden, ob deine Quellen die Dauer der Ausstrahlung über- oder unterschreiten.
          Die von dir hinterlegten Medienquellen, sollten eine Gesamtlänge von <strong>%{totalTime}</strong> erreichen.
          Diese weichen derzeit um <strong>%{offset}</strong> davon ab.`,
      },
      tooShort: {
        title: 'Unterlänge',
        description: `Die von dir hinterlegten Medienquellen unterschreiten die Dauer der Ausstrahlung um <strong>%{offset}</strong>.
          <br>Bitte ergänze weitere Inhalte für deine Sendung.`,
      },
      tooLong: {
        title: 'Überlänge',
        description: `Die von dir hinterlegten Medienquellen überschreiten die Dauer der Ausstrahlung um <strong>%{offset}</strong>.
          <br>Bitte kürze deine Sendungsinhalt entsprechend.`,
      },
    },
  },

  playlistTable: {
    // Our translation framework automatically picks singular/plural
    items: '%{smart_count} Eintrag |||| %{smart_count} Einträge',
    assign: 'Zuweisen',
    unset: 'Zuweisung aufheben',

    index: 'Nr',
    description: 'Beschreibung',
    entries: 'Einträge',
    duration: 'Dauer',
    lastEdit: 'Bearbeitet am',
    type: 'Typ',
    source: 'Quelle',
    actions: 'Aktionen',
  },

  linkType: {
    inactive: 'Veraltet',
  },

  link: {
    urlExample: 'z.B. https://aura.radio',
    noneSet: 'Es wurden keine Links zugewiesen.',
    fields: {
      typeId: 'Linktyp',
      url: 'Web Adresse',
    },
  },

  showSelector: {
    keyboardShortcut: 'Alt + K',
    selectShowMany: 'Sendereihe wählen',
    selectShow: 'Sendereihe auswählen',
    noData: 'Es wurden bisher keine Sendereihen angelegt.',
    noDataMatch: 'Es gibt keine Sendereihen, die deinen Suchkriterien entsprechen.',
    showState: {
      label: 'Status der Sendereihe',
      active: 'Aktiv',
      inactive: 'Inaktiv',
    },
  },

  showSchedules: {
    title: 'Sendeschema',
    times: 'Sendezeiten',
    rhythm: 'Rhythmus',
    firstBroadcast: 'Startdatum',
    lastBroadcast: 'Enddatum',
    noSchedulesAvailable: 'Es gibt für diese Sendereihe kein aktives Sendeschema.',
    showAll: 'Alles anzeigen',
    hide: 'Ausblenden',
    scheduleDescription:
      '%{rhythm} ab %{startDate} jeweils von %{startTime} Uhr bis %{endTime} Uhr.',
    scheduleDescriptionFinite:
      '%{rhythm} ab %{startDate} bis zum %{endDate} jeweils von %{startTime} Uhr bis %{endTime} Uhr.',
    selection: {
      all: 'Alle',
      relevant: 'Aktuelle',
    },
  },

  showTimeslots: {
    title: 'Sendungen',
    noNote: '(keine Daten)',
    noTitle: '(kein Titel gesetzt)',
    noTimeslotsScheduled: 'Im gewählten Zeitraum sind keine Sendungen geplant.',

    editDescription: 'Beschreibung bearbeiten',
    editPlaylist: 'Playlist bearbeiten',
    openPlayer: 'Player öffnen',
    downloadRecording: 'Aufnahme herunterladen',
    uploadToCba: 'Aufnahme zum CBA hochladen',

    numberOfSlots: 'Sendungen pro Seite',
    start: 'Ab',
    direction: {
      past: 'Vergangene',
      future: 'Zukünftige',
    },
  },

  languageSelector: {
    label: 'Wähle eine Sprache',
  },

  user: {
    fields: {
      username: 'Benutzername',
      firstName: 'Vorname',
      lastName: 'Nachname',
      name: 'Name',
      email: 'E-Mail',
      profile: {
        cbaUsername: 'Kontoname',
        cbaUserToken: 'Token',
      },
    },
  },

  noteEditor: {
    _title: 'Sendungsbeschreibung',
    title: 'Titel',
    titlePlaceholder: 'Gib einen Titel ein',
    summary: 'Zusammenfassung',
    summaryPlaceholder: 'Gib eine Zusammenfassung ein',
    content: 'Inhalt',
    contentPlaceholder: 'Beschreibe den Inhalt der Sendung',
    image: 'Bild',
    tags: 'Schlagwörter',
    contributors: 'Mitwirkende',
    languages: 'Sprachen',
    topics: 'Themen',
    links: 'Links',
  },

  error: {
    server: {
      does_not_exist: 'Das Eintrag existiert nicht.',
      unknown: 'Ein unbekannter Fehler ist aufgetreten.',
      exception: 'Ein unbekannter Serverfehler ist aufgetreten.',
      permission_denied: 'Du hast nicht genügend Berechtigungen.',
      invalid: 'Der Wert dieses Felds ist ungültig.',
      null: 'Dieses Feld darf nicht leer sein.',
      blank: 'Dieses Feld darf nicht leer sein.',
      unique: 'Der Wert dieses Felds muss einzigartig sein.',
      connection:
        'Die Änderung konnte nicht gespeichert werden, weil es ein Problem bei der Verbindung mit dem Server gab. ' +
        'Dies kann durch eine temporäre Unterbrechung deiner Internetverbindung oder ein Problem des Servers ausgelöst werden.',
    },
  },

  imagePicker: {
    title: 'Suche ein Bild aus',
    browseImages: 'Bilder durchstöbern',
    editCurrentImage: 'Aktuelles Bild bearbeiten',
    saveChanges: 'Änderungen speichern',
    useImage: 'Dieses Bild wählen',
    chooseAnImage: 'Bild auswählen',
    uploadImage: 'Neues Bild hochladen',
    abort: 'Abbrechen',
    reset: 'Bild zurücksetzen',
    error: {
      default: 'Das Bild konnte nicht hochgeladen werden.',
      tooLarge: 'Die Dateigröße des Bilds, das von dir ausgewählt wurde, ist zu groß.',
    },
  },

  image: {
    altText: 'Alternativtext (für Screenreader)',
    license: 'Lizenz',
    credits: 'Bildnachweis / Urheber:in',
    isUseExplicitlyGrantedByAuthor: 'Autor:in erlaubt Veröffentlichung',
  },

  license: {
    moreAbout: 'Mehr zu dieser Lizenz...',
    validation: {
      requiresExpressPermissionForPublication:
        'Die Lizenz erfordert eine explizite Zustimmung zur Veröffentlichung seitens des:der Autor:in.',
      requiresCredits:
        'Die Lizenz erfordert die Nennung des:der Autor:in. Bitte gib deren Namen an.',
    },
  },

  saveIndicator: {
    label: {
      pending: 'Wird gespeichert',
      success: 'Wurde gespeichert',
      failure: 'Fehler beim Speichern',
    },
  },

  showCreator: {
    title: 'Neue Sendereihe anlegen',
    missingShowTypes:
      'Es wurden noch keine Arten von Sendereihen angelegt. Du kannst das im <a href="%{adminUrl}/program/type/add/" target="_blank">Administrationsbereich</a> nachholen.',
    missingShowFundingCategories:
      'Es wurden noch keine Förderkategorien angelegt. Du kannst das im <a href="%{adminUrl}/program/fundingcategory/add/" target="_blank">Administrationsbereich</a> nachholen.',
  },

  conflictResolution: {
    title: 'Konfliktbehebung für neues Programm',
    titleModal: 'Sendeplatzkonflikt beheben für "%{show}"',

    titleNoConflict: 'Kein Konflikt vorhanden',
    noConflict: 'Dieser Sendeplatz hat keinen Konflikt. Wunderbar!',

    conflictingSlot: 'Neuer Sendeplatz',
    projectedSlot:
      'Der neue Sendeplatz läuft am <b>%{firstDate}</b> von <b>%{startTime}</b> bis <b>%{endTime}</b>',
    conflictsWith: 'Er steht im Konflikt mit den folgenden Sendeplätzen',

    newSchedule: 'von <b>%{firstDate}, %{startTime}</b> bis <b>%{endTime}</b>',
    recurringSchedule:
      'Dieses Ausstrahlungs-Schema wiederholt sich <b>%{rrule}</b> bis <b>%{lastDate}</b>',
    recurringScheduleNoEnd: 'Dieses Programm wiederholt sich <b>%{rrule}</b>.',
    leftToResolve:
      'Noch %{smart_count} Konflikt zu beheben |||| Noch %{smart_count} Konflikte zu beheben',
    noneLeftToResolve: 'Keine Konflikte mehr zu beheben!',
    applySolution: 'Lösung anwenden',

    from: 'Von',
    to: 'Bis',
    showName: 'Sendungsname',

    whichStrategy: 'Wie soll der Konflikt behoben werden?',
    strategies: {
      theirs: {
        label: 'Neue Sendung löschen und bestehenden behalten.',
        description: '',
      },
      'theirs-start': {
        label: 'Neue Sendung schneiden und <b>nach</b> bestehender Sendung einfügen.',
        description:
          'Die Endzeit der bestehenden Sendung wird somit zur Startzeit der neuen Sendung.',
      },
      'theirs-end': {
        label: 'Neue Sendung schneiden und <b>vor</b> bestehender Sendung einfügen.',
        description:
          'Die Startzeit der bestehenden Sendung wird somit zur Endzeit der neuen Sendung.',
      },
      'theirs-both': {
        label: 'Neue Sendung auftrennen und bestehende dazwischenschieben.',
        description:
          'Die neue Sendung wird in zwei Teile aufgeteilt. Der erste Teil endet mit der Startzeit und der zweite Teil started mit der Endzeit der existierenden Sendung.',
      },
      ours: {
        label: 'Neue Sendung behalten und bestehende löschen.',
        description: '',
      },
      'ours-start': {
        label: 'Bestehende Sendung schneiden und <b>vor</b> neuer Sendung einfügen.',
        description:
          'Die Startzeit der neuen Sendung wird somit zur Endzeit der bestehenden Sendung.',
      },
      'ours-end': {
        label: 'Bestehende Sendung schneiden und <b>nach</b> neuer Sendung einfügen.',
        description:
          'Die Endzeit der neuen Sendung wird somit zur Startzeit der bestehenden Sendung.',
      },
      'ours-both': {
        label: 'Bestehende Sendung auftrennen und neue dazwischenschieben.',
        description:
          'Die bestehende Sendung wird in zwei Teile aufgeteilt. Der erste Teil endet mit der Startzeit und der zweite Teil started mit der Endzeit der neuen Sendung.',
      },
    },
  },

  paginator: {
    itemsPerPage: 'Einträge pro Seite',
    gotoFirst: 'Gehe zur ersten Seite',
    gotoPrev: 'Gehe zur vorherigen Seite',
    goto: 'Gehe zu Seite %{page}',
    gotoNext: 'Gehe zur nächsten Seite',
    gotoLast: 'Gehe zur letzen Seite',
    range: 'Zeige %{start} bis %{end} von %{count} Einträgen.',
  },

  scheduleEditor: {
    titleCreate: 'Neues Sendeschema für "%{show}" anlegen',
    titleEdit: 'Sendeschema von "%{show}" bearbeiten',
    shortInfo: 'Über diese Sendung',
    followingEpisodes: 'Nachfolgende Sendungen',

    timeslotRuns:
      'Dieser Sendeplatz läuft am <b>%{firstDate}</b> von <b>%{startTime}</b> bis <b>%{endTime}</b>',

    singleEmission: 'Die Sendung ist eine einmalige Ausstrahlung.',
    coexistingTimeslot: 'Aufgrund einer Konfliktbehebung wurden jedoch weitere Sendungen angelegt.',

    currentlySelectedPlaylist: 'Momentan hinterlegte Playlist',

    start: 'Start',
    end: 'Ende',
    projectedDuration: '<b>Geplante Dauer:</b> %{duration}',

    pastEventWarning: 'Bitte setze ein Startdatum in der Zukunft.',
    from: 'Startzeit',
    to: 'Endzeit',
    fromDate: 'Startdatum',
    toDate: 'Enddatum',

    addRepetition: 'Wiederholungsprogramm hinzufügen',
    whenToRepeat: 'Wann soll wiederholt werden?',
    useSameTime: 'Selbe Start- und Endzeit verwenden',
    repeatAt: 'Wiederholen um',
    addNoOfDays: 'Wie viele Tage später?',
    onlyBusinessDays: 'Nur Werktage zählen',

    create: 'Neues Sendeschema anlegen',

    delete: {
      title: 'Delete episodes',
      schedule: 'Sendeschema inkl. aller Sendungen löschen',
      episode: 'Nur diese Sendung löschen',
      futureEpisodes: 'Alle nachfolgenden Sendungen löschen',
    },
  },

  repetition: {
    nextDay: 'Am nächsten Tag',
    nextBusinessDay: 'Am nächsten Werktag',
    nDaysLater: 'Eine Anzahl von Tagen später',
  },

  editingMetadata: {
    timeSpecific: 'am %{date} um %{time} Uhr',
    lastModified: 'Letzte Änderung %{time} von %{author}.',
    created: 'Angelegt %{time} von %{author}.',
  },

  calendar: {
    today: 'Heute',
    empty: 'Keine Playlist',
    fallback: 'Fallback-Playlist',
    repetition: 'Wiederholung',
    view: {
      day: 'Tagesansicht',
      week: 'Wochenansicht',
    },
    switchShow: 'Zur „%{show}“ Sendereihe wechseln',
    editTimeslot: 'Sendung bearbeiten',
    intermission: 'Programmunterbrechung',
    mismatchedLength: 'Unpassende Länge',
    playing: 'Spielt gerade',
  },

  // Etc
  metadata: {
    artist: 'Künstler',
    album: 'Album',
    title: 'Titel',
    source: 'Quelle',
    size: 'Dateigröße',
  },

  humanJoin: {
    default: ', ',
    and: ' und ',
    or: ' oder ',
  },

  rrule: {
    rrule: 'Wiederholungsregel',
    unknown:
      'Eine automatisierte Beschreibung der Wiederholungsregel war nicht möglich. Bitte lege ein Ticket für das aura/dashboard Projekt an.',
    once: 'einmalig',
    daily: 'täglich |||| alle %{smart_count} Tage',
    weekly: 'wöchentlich |||| alle %{smart_count} Wochen',
    monthly: 'monatlich |||| alle %{smart_count} Monate',
    yearly: 'jährlich |||| alle %{smart_count} Jahre',
    businessDay: 'Werktag |||| Werktagen',
    onDays: 'am %{days}',
    position: {
      '-1': 'am letzten',
      1: 'am ersten',
      2: 'am zweiten',
      3: 'am dritten',
      4: 'am vierten',
      5: 'am fünften',
    },
  },

  steeringErrorCodes: {
    'no-start-after-end': 'Das Startdatum darf nicht hinter dem Enddatum liegen.',
    'no-same-day-start-and-end': 'Start- und Enddatum dürfen nicht auf den selben Tag fallen.',
    'one-solution-per-conflict':
      'Es wird genau eine Lösung für jeden Konflikt benötigt. Es wurde entweder keine oder zuviele Lösungen für einen Konflikt übermittelt.',
  },
}
